<?php

/**
 * Returns the importmap for this application.
 *
 * - "path" is a path inside the asset mapper system. Use the
 *     "debug:asset-map" command to see the full list of paths.
 *
 * - "entrypoint" (JavaScript only) set to true for any module that will
 *     be used as an "entrypoint" (and passed to the importmap() Twig function).
 *
 * The "importmap:require" command can be used to add new entries to this file.
 */
return [
    'app'                                                  => [
        'path' => './assets/app.js',
        'entrypoint' => true,
    ],
    'datatables'                                           => [
        'path'       => './assets/datatables.js',
        'entrypoint' => true,
    ],
    'bootstrap' => [
        'version' => '5.3.3',
    ],
    '@popperjs/core' => [
        'version' => '2.11.8',
    ],
    'jquery'                                               => [
        'version' => '3.7.1',
    ],
    'utils'                                                => [
        'path' => './assets/utils.js',
    ],
    '@fortawesome/free-solid-svg-icons'                    => [
        'version' => '6.5.2',
    ],
    'datatables.net'                                       => [
        'version' => '2.0.7',
    ],
    'datatables.net-dt/css/dataTables.dataTables.min.css'  => [
        'version' => '2.0.7',
        'type'    => 'css',
    ],
    'datatables.net-bs5'                                   => [
        'version' => '2.0.7',
    ],
    'datatables.net-bs5/css/dataTables.bootstrap5.min.css' => [
        'version' => '2.0.7',
        'type'    => 'css',
    ],
];
